Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.exception
Class RepositoryException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.rules.sdk.exception.OracleRulesException
oracle.rules.sdk.exception.RulesSDKException
oracle.rules.sdk.exception.RepositoryException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DictionaryAlreadyExistsException

public class RepositoryException
extends RulesSDKException

See Also:
  Serialized Form

Constructor Summary
`RepositoryException(java.lang.String code)`
`RepositoryException(java.lang.String code, java.lang.String token)`
`RepositoryException(java.lang.String code, java.lang.String token, java.lang.Throwable t)`
`RepositoryException(java.lang.String code, java.lang.Throwable t)`

Methods inherited from class oracle.rules.sdk.exception.OracleRulesException
`addToken, get, getDetails, getErrorCode, getMessage, getMessage, getMessageInfo, getMessageOnly, getPreviousException, getRootException, getRootMessage, getStackTraceAsString, printStackTrace, printStackTrace, printStackTrace, set, setDetails, setPreviousException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryException

    public RepositoryException(java.lang.String code)

### RepositoryException

    public RepositoryException(java.lang.String code,
                               java.lang.String token)

### RepositoryException

    public RepositoryException(java.lang.String code,
                               java.lang.Throwable t)

### RepositoryException

    public RepositoryException(java.lang.String code,
                               java.lang.String token,
                               java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.